%define momorel 2
%define real_name Socket6

Summary: IPv6 related part of the C socket.h defines and structure manipulators
Name: perl-Socket6
Version: 0.19
Release: %{momorel}m
License: GPL
Group: Development/Languages
URL: http://search.cpan.org/dist/Socket6/

%NoSource 0 http://www.cpan.org/modules/by-module/Socket6/Socket6-%{version}.tar.gz 35e4bb7e09ca3154a44bcaa8959780a2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503

%description
This perl module supports getaddrinfo() and getnameinfo() to intend to
enable protocol independent programing.
If your environment supports IPv6, IPv6 related defines such as
AF_INET6 are included.


%prep
%setup -q -n %{real_name}-%{version} 

%build
###CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=%{buildroot} PREFIX="%{buildroot}%{_prefix}"
perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

### Clean up buildroot
rm -rf %{buildroot}%{perl_archlib} \
       %{buildroot}%{perl_sitearch}/auto/*{,/*{,/*}}/.packlist

%clean 
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog MANIFEST README
%{perl_sitearch}/Socket6.pm
%{perl_sitearch}/auto/Socket6/

%changelog
* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.19-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.19-1m)
- update to 0.19

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.18-1m)
- initial release to Momonga Linux

* Wed Mar 30 2005 Dag Wieers <dag@wieers.com> - 0.18-1
- Initial package. (using DAR)
